Communauté
Inventor - Français
Bienvenue sur les forums Inventor d’Autodesk. Partagez vos connaissances, posez des questions, collaborez sur des idées, et explorez les sujets Inventor populaires.
annuler
Affichage des résultats de 
Afficher  uniquement  | Rechercher plutôt 
Vouliez-vous dire : 

Vue de dessin

27 RÉPONSES 27
RÉSOLU
Répondre
Message 1 sur 28
Sébastien_G
1160 Visites, 27 Réponses

Vue de dessin

Bonjour à tous,

Est-il possible d'activer par défaut des options dans la boite de dialogue "Vue de dessin" dans l'onglet "Options d'affichage" ???

Je souhaite activer par défaut les options "Fonction de filetage" et "Arêtes tangentes"

Voir pièce jointe.

Cordialement.

SG

 

27 RÉPONSES 27
Message 2 sur 28
ThomasB44
en réponse à: Sébastien_G

Salut @Sébastien_G

A ma connaissance, ces options sont effectivement décochées par défaut. Et je ne pense pas que l'on puisse modifier cela...Smiley frustré

 

Une alternative consiste à utiliser iLogic avec le code dans le lien de la solution ci-dessous :

https://forums.autodesk.com/t5/inventor-customization/active-thread-feature-in-drawing-in-display-op...

Et la commande à ajouter pour les arêtes tangentes :

oDV.DisplayThreadFeatures = True

 


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 3 sur 28
Sébastien_G
en réponse à: Sébastien_G

Bonjour Thomas,

Merci pour votre réponse, malheureusement elle ne fonctionne pas.

Soit elle n'est pas bonne, soit je ne sais pas la mettre en œuvre ???

SG

Message 4 sur 28
ThomasB44
en réponse à: Sébastien_G

Je me suis trompé dans mon copier/coller pour la commande des arêtes tangentes. Smiley surpris

Voici le code complet :

SyntaxEditor Code Snippet

Dim oApp As Application
Dim oDD As DrawingDocument
Dim oSht As Sheet
Dim oDV As DrawingView
oApp = ThisApplication
oDD = oApp.ActiveDocument
For Each oSht In oDD.Sheets
    For Each oDV In oSht.DrawingViews
        oDV.DisplayThreadFeatures = True
	oDV.DisplayTangentEdges = True
    Next
Next

 

Colle le dans une règle dans un dessin, et exécute le.


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 5 sur 28
Sébastien_G
en réponse à: ThomasB44

Merci pour le code qui fonctionne.

Mais est ce que la règle peut être active dans le plan que je sois obligé de le faire moi même ??

 

Message 6 sur 28
ThomasB44
en réponse à: Sébastien_G

Oui bien sûr. Il faut pour cela ajouter un évènement déclencheur. (Onglet Gérer/iLogic/Évènement déclencheur)

Ensuite 2 possibilités :

Soit tu insères cette règle dans ton gabarit de dessin avec son évènement déclencheur, et ainsi à chaque nouveau document, cette règle s'activera selon l'évènement.

Soit tu créés une règle externe, et tu ajoutes l'évènement déclencheur dans ton gabarit de dessin. Mais tu pourras également ajouter cette règle rapidement sur tes anciens dessins.

Capture.PNG


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 7 sur 28
Sébastien_G
en réponse à: ThomasB44

Voici ce que j'ai créé Règle et Déclencheur.png

Mais la règle ne s'exécute pas à la création de mon document ??

Vois tu pourquoi ??

Message 8 sur 28
ThomasB44
en réponse à: Sébastien_G

La règle s'exécute dès que le document est créé. Il n'y a donc pas encore de vue de dessin...

Je pense qu'il faut régler sur "Avant l'enregistrement du document" ou "Modification de la vue de dessin"

Pour vérifier que la règle s'exécute bien, tu peux ajouter temporairement au début ou à la fin du code une boîte de message :

 

SyntaxEditor Code Snippet

MessageBox.Show("Message", "Title") 

 


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 9 sur 28
Sébastien_G
en réponse à: ThomasB44

J'ai appliqué la règle à l'évènement "Avant l'enregistrement du document" et cela donne ce que je souhaite.

Cependant j'aurais souhaité que la règle s'applique à l'évènement "Nouveau document"

Même s'il n'y a pas de vue la règle ne peux pas s'appliquer au nouveau document ???

Par contre ta dernière ligne de commande me génère une erreur syntaxe !!!Règle et Déclencheur Titre boite.png

Message 10 sur 28
ThomasB44
en réponse à: Sébastien_G

Le message indique que c'est la ligne 2 qui produit l'erreur.

Le créateur du code l'avait formulé comme ça, je ne sais pas pourquoi il a utilisé oApp...

Cette formulation devrait mieux fonctionner :

SyntaxEditor Code Snippet

Dim oDD As DrawingDocument
Dim oSht As Sheet
Dim oDV As DrawingView
oDD = ThisDrawing.Document
For Each oSht In oDD.Sheets
    For Each oDV In oSht.DrawingViews
    oDV.DisplayThreadFeatures = True
	oDV.DisplayTangentEdges = True
    Next
Next

Tu peux affecter l'évènement déclencheur à "Nouveau document", la règle va bien se déclencher, mais comme il n'y a pas de vue, rien ne va se passer. J'ai vérifier l'évènement "Modification de la vue", et je n'arrive pas à le déclencher...Donc pour moi, seul l'évènement "Avant d'enregistrer" fonctionnera.


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 11 sur 28
Sébastien_G
en réponse à: ThomasB44

J'ai mis en place ton nouveau programme et affecté l'évènement de déclenchement à "avant l'enregistrement du document"

Le tout fonctionne très bien.

Un GRAND merci pour tes réponses et pour le temps que tu y a passé.

Bonne journée

Message 12 sur 28
ThomasB44
en réponse à: Sébastien_G

Pas de quoi, bonne continuation à toi Smiley clignant de l'œil


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 13 sur 28
Sébastien_G
en réponse à: ThomasB44

Excuse-moi Thomas mais c'était trop beau

Le programme fonctionne bien au debut mais lorsque je sauvegarde mes mises en plan, j'ai un message d'erreurErreur - Règle1.pngErreur - Règle2.png

As-tu une explication à ce problème ???

Message 14 sur 28
ThomasB44
en réponse à: Sébastien_G

L'erreur provient de la ligne :

oDV.DisplayTangentEdges = True

Qui renvoie donc l'erreur sur une de tes vues.

Vérifie tes vues, est il impossible, sur l'une d'entre elles, de cocher la case "Arêtes tangentes" ?

En programmation, le plus dur est de prévoir les exceptions...Smiley gêné

Si c'est bien le cas, voici un code à jour pour éviter ce désagrément.

SyntaxEditor Code Snippet

Dim oDD As DrawingDocument
Dim oSht As Sheet
Dim oDV As DrawingView
oDD = ThisDrawing.Document
For Each oSht In oDD.Sheets
    For Each oDV In oSht.DrawingViews
		oDV.DisplayThreadFeatures = True
		Try
		oDV.DisplayTangentEdges = True
		Catch
		End Try
    Next
Next

Je ne pense pas qu'il peut y avoir de problème avec l'affichage des filetages.


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 15 sur 28
Sébastien_G
en réponse à: ThomasB44

Effectivement sur l'une de mes vues, il est impossible de cocher la case "Arêtes tangentes" puisque c'est une vue projetée liée à une vue de base. donc l'option est grisé.

Avec tes nouvelles lignes de code, cela a l'air de fonctionner.

Pour les filetages, il n'y as pas ce problème car l'option reste disponible même dans la vue projetée.

j'espère que je n'aurais pas ce problème sur les autres type de vue (auxiliaire, coupe, etc...)

Encore un grand merci à toi pour l'aide.

Bon week-end.

Message 16 sur 28
ThomasB44
en réponse à: Sébastien_G

C'était bien ça Smiley clignant de l'œil

Bon week end.


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 17 sur 28
Sébastien_G
en réponse à: ThomasB44

Bonjour Thomas,

Je reviens d’embêter. Je me suis aperçu d’un petit problème au niveau du programme.

Il se déclenche à chaque enregistrement.

Le problème, c’est que sur certaines vues, je décoche volontairement l’une ou l’autre voir les deux options "Fonction de filetage" et "Arêtes tangentes"

Peut-on inclure au code une commande qui dirai de ne pas appliquer le programme aux vues dont la case « Style – Vue de base » n’est pas cochée ??? (Voir image).

Désolé de te déranger dès le lundi matin.Vue de Base.png

Message 18 sur 28
ThomasB44
en réponse à: Sébastien_G

Salut @Sébastien_G

Voici le code, en vérifiant cette option, j'ai aussi ajouté des commentaires pour mieux comprendre Smiley clignant de l'œil

 

Dim oDD As DrawingDocument
Dim oSht As Sheet
Dim oDV As DrawingView
oDD = ThisDrawing.Document

'Pour chaque feuille du dessin
For Each oSht In oDD.Sheets
    'Pour chaque vue de la feuille
    For Each oDV In oSht.DrawingViews
		'Si le style vue de base est coché
		If oDV.ViewStyle = kFromBaseDrawingViewStyle Then
			'Active l'option filetage
			oDV.DisplayThreadFeatures = True 
			'Essaie d'activer l'option arêtes tangentes
			Try
				oDV.DisplayTangentEdges = True 
			Catch
				'Erreur, il n'est pas possible de l'activer sur cette vue
			End Try
		Else
			'Le style vue de base n'est pas coché
		End If
    Next
Next

Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Message 19 sur 28
Sébastien_G
en réponse à: ThomasB44

Le programme ne fonctionne plus du tout.

Je pense que ça vient du fait que la vue de base à la case « Style – Vue de base » de décocher par défaut.

Donc si je comprends bien ton nouveau programme, celui-ci ne s’applique pas aux vues dont cette case est décochée.

Donc le programme ne s’applique à aucunes vues.

Il faudrait d’abord que le programme s’applique à la vue de base puis inclure au code une commande qui dirai de ne pas appliquer le programme aux vues dont la case « Style – Vue de base » n’est pas cochée.

Mais est-ce possible !

Message 20 sur 28
ThomasB44
en réponse à: Sébastien_G

Oui c'est possible.

Le code ne s'applique toujours pas aux vues dont la case "Style - Vue de base" est décochée.

 

SyntaxEditor Code Snippet

Dim oDD As DrawingDocument
Dim oSht As Sheet
Dim oDV As DrawingView
oDD = ThisDrawing.Document

'Pour chaque feuille du dessin
For Each oSht In oDD.Sheets
	'Pour chaque vue de la feuille
    For Each oDV In oSht.DrawingViews
		'Si le style vue de base est coché, ou si c'est une vue de base
		If oDV.ViewStyle = kFromBaseDrawingViewStyle Or oDV.ViewType = kStandardDrawingViewType Then
			'Active l'option filetage
			oDV.DisplayThreadFeatures = True 
			'Essaie d'activer l'option arêtes tangentes
			Try
				oDV.DisplayTangentEdges = True 
			Catch
				'Erreur, il n'est pas possible de l'activer sur cette vue
			End Try
		Else
			'Le style vue de base n'est pas coché
		End If
    Next
Next

 


Thomas
Mechanical Designer / Inventor Professionnal 2023
Inventor Professional EESignature

Vous n'avez pas trouvé ce que vous recherchiez ? Posez une question à la communauté ou partagez vos connaissances.

Publier dans les forums